application:
  status_report_interval: 0                                                             # The interval in seconds between reports to the Message Broker
  enable_ssl: true                                                                      # Enable SSL for the Message Broker communication
grpc_server:
  enable: true                                                                          # Enable the gRPC server
  port: 50051                                                                           # The port to use for the gRPC server
  enable_ssl: false                                                                     # Enable SSL for the gRPC server
grpc_client:
  enable: true                                                                          # Enable the gRPC client
  port: 50071                                                                           # The port to use for the gRPC client
  enable_ssl: true
logger:
  file:
    level: 'info'                                                                        # The log level of the application log. Possible values are [debug, info, warn, error].
    file_name: '${ProgramData}/Incredibuild/EPS/logs/endpoint-service.log'               # The location and name of the log file.
    max_size: 5                                                                          # The maximum size in megabytes of the log file before it gets rotated
    max_files: 10                                                                        # The maximum number of old log files to retain
  console:
    level: 'silent'                                                                      # The log level of the console log. Possible values are [debug, info, warn, error].
reporting:
  machine_status: false
monitoring:
  services:                                                                              # The list of services to monitor
    - 'Incredibuild BuildCache'
    - 'Incredibuild CoordinatorService'
    - 'Incredibuild Agent'
    - 'Incredibuild LicenseService'
    - 'Incredibuild Manager'
    - 'Incredibuild_Message_Broker'
build_data:
  db_path: '${ProgramData}/Incredibuild/BuildData'                                      # The path to the build data database
buildcache_cluster:
  config_file_path: '${ProgramData}/Incredibuild/BuildCache/buildcache_cluster_config.json'  # The path to the build cache clustering configuration file